USN-4772-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4772-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4772-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4772-1
Related
  • CVE-2015-0255
  • CVE-2015-1283
Published
2021-03-15T20:16:26.678226Z
Modified
2021-03-15T20:16:26.678226Z
Summary
vnc4 vulnerabilities
Details

USN-2500-1 addressed CVE-2015-0255 for xorg-server. This update provides the corresponding fix for VNC4 on Ubuntu 14.04 ESM and Ubuntu 16.04 ESM. (CVE-2015-0255)

USN-2726-1 addressed CVE-2015-1283 for Expat. This update provides the corresponding fix for VNC4 on Ubuntu 14.04 ESM and Ubuntu 16.04 ESM. (CVE-2015-1283)

Original advisory details:

Olivier Fourdan discovered that the X.Org X server incorrectly handled XkbSetGeometry requests resulting in an information leak. An attacker able to connect to an X server, either locally or remotely, could use this issue to possibly obtain sensitive information. (CVE-2015-0255)

It was discovered that Expat incorrectly handled malformed XML data. If a user or application linked against Expat were tricked into opening a crafted XML file, an attacker could cause a denial of service, or possibly execute arbitrary code. (CVE-2015-1283)

References

Affected packages

Ubuntu:Pro:14.04:LTS / vnc4

Package

Name
vnc4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.1.1+xorg4.3.0-37ubuntu5.0.2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "vnc4server": "4.1.1+xorg4.3.0-37ubuntu5.0.2+esm1",
            "xvnc4viewer": "4.1.1+xorg4.3.0-37ubuntu5.0.2+esm1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / vnc4

Package

Name
vnc4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.1.1+xorg4.3.0-37.3ubuntu2.1+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "vnc4server": "4.1.1+xorg4.3.0-37.3ubuntu2.1+esm1",
            "xvnc4viewer": "4.1.1+xorg4.3.0-37.3ubuntu2.1+esm1"
        }
    ]
}